Bug 104306 - metacity loses dialogs
metacity loses dialogs
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 06:31 EDT by Stig Hackvan
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:54:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2003-09-12 06:31:04 EDT
Description of problem:

it may or may not be an autoraise issue, but metacity is losing dialogs under
the pile all of the time.  it's madenning....especially where galeon is
concerned because a lost dialog freezes the whole application!

so, whether it's click-to-focus or autoraise that gives focus and changes the
stacking, all transients for a given app (even if they're from another
workspace...it's that important) should get stacked on top.

--stig
Comment 1 Havoc Pennington 2003-09-18 18:10:02 EDT
They definitely do go on top as far as I know. You'll have to tell me some
specific dialog that goes below some specific window.

Chances are said dialog lacks the WM_TRANSIENT_FOR hint set to the window ID of
the main window. xprop can help diagnose.
Comment 2 Stig Hackvan 2003-09-23 19:46:45 EDT
as I said, galeon (the one shipping with rh9) is the main victim...

here's the image:  galeon crashes and is restarted...  40 windows come back and
load.  one fails the hostname lookup and pops up a dialog, while the other 39
hang.  (or maybe there's a window that's auto-refreshing and generates a failure
dialog...why in the world did galeon2 get bundled if it's this cranky?  i recall
galeon1.2 being smarter...) 

yeah, when i eventually click the tab of the parent window, i get the dialog
spawned by that window stacked on top, but finding that window can be quite a
chore.  there {c,sh}ould be a title marking for windows with dialogs.  "[name]"
for iconified and "<<name>>" for dialog-blocked windows, perhaps...

but one pertinent question is:  can metacity be smart enough to grok that some
dialogs are application-wide blocks and stack the dialog and it's parent on top
of all other windows owned by the app?  regardless of whether there is any
specific logic for handling problem apps, there should be the general behavior
of autoraising dialog-blocked windows to the top of the stack instead of leaving
them buried.

galeon also may be failing to properly hint file-save dialogs because metacity's
autoraise throws them to the back all of the time.  regardless of hinting, i
don't remember sawfish burying new windows so aggressively...i recall that
autoraise was triggered by movement-based-focus-assignment while metacity seems
to give focus to the dialog, then immediately take it back and start the
autoraise timer.  BAD POLICY...

-- stig
Comment 3 Havoc Pennington 2003-09-24 17:58:21 EDT
If Galeon sets the dialog modal for the whole app, but only marks it as a child
of one window, then metacity has the wrong information and can't do much.

Galeon could set the dialog modal only for one window, or could avoid marking
the dialog as a transient of a particular window.
Comment 4 Havoc Pennington 2003-10-04 01:11:59 EDT
Wait, RHL9 shipped with Galeon 1.2, no?

Anyway, almost certainly a Galeon bug.
Comment 5 Bill Nottingham 2006-08-05 00:17:39 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 13:54:18 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.